Index: npl/overig/file/file.SlackBuild
===================================================================
--- npl/overig/file/file.SlackBuild	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.SlackBuild	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -2,10 +2,11 @@
 #
 # Automaticly created by importpackage v1.0
-# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/a/file/
-# Created at Fri Jul 24 16:34:01 CEST 2015
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/file/
+# Created at Thu Jul  6 14:29:22 CEST 2017
 
 
 ########### source original slackbuild (hopefully we dont need to modify it)
 CWD=`pwd`
+set -e
 source ./file.SlackBuild.orig
 
Index: npl/overig/file/file.SlackBuild.orig
===================================================================
--- npl/overig/file/file.SlackBuild.orig	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.SlackBuild.orig	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-# Copyright 2005-2008, 2009, 2010, 2013  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2008, 2009, 2010, 2013, 2015  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -29,5 +29,5 @@
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) export ARCH=i486 ;;
+    i?86) export ARCH=i586 ;;
     arm*) export ARCH=arm ;;
     # Unless $ARCH is already set, use uname -m for all other archs:
@@ -36,6 +36,6 @@
 fi
 
-if [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "i686" ]; then
@@ -98,5 +98,5 @@
   --enable-fsect-man5 \
   --disable-static \
-  --build=$ARCH-slackware-linux
+  --build=$ARCH-slackware-linux || exit 1
 
 # The generated $TMP/file-$VERSION/libtool is buggy.  I don't know if this is supposed
@@ -106,4 +106,11 @@
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
+
+# Ignore for now - still labeled as experimental
+# Actually, let's ignore it until something needs it  :)  <volkerdi>
+#cd python/
+#  python setup.py build
+#  python setup.py install --root=$PKG
+#cd ..
 
 # Seems --disable-static has been ignored lately:
Index: npl/overig/file/file.arch
===================================================================
--- npl/overig/file/file.arch	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.arch	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/overig/file/file.build
===================================================================
--- npl/overig/file/file.build	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-6155
+6156
Index: npl/overig/file/file.md5
===================================================================
--- npl/overig/file/file.md5	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.md5	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,13 +1,13 @@
 80362548cdf529ea3ec83eab148c7572  ./doinst.sh.gz
-4b7cf5041035cff87330c5b00b170def  ./file-5.22.tar.xz
+4676f6f3b2d25e05e0b0147a03d25970  ./file-5.31.tar.xz
 e44387a21f9847f0ff3b1c74deff8bdf  ./file.crdaregbin.magic.gz
-70abcf4ba557547bd57768c3b2918abf  ./file_dev.pkg
+e1e6455b2de8c11276bdde91c629bebf  ./file_dev.pkg
 29ee5a5acfcc82346b17cc35bb3acbec  ./file.etc.file.diff.gz
-95153d8af64319c94e1bd2d21c8984ca  ./file.pkg
+03b8137248300a058ad80e0e3fb2249f  ./file.pkg
 652847e073fbca6df77c6696ac4c69e1  ./file.quiet.diff.gz
 f020cd0ec342bea06b34116ddcd99232  ./file.short.diff.gz
-ddbdc96ed7775407a358ca7331a5cab7  ./file.SlackBuild
-45ce94e59494587fc2ccfbd993e92af8  ./file.SlackBuild.log.gz
-93265d389f296eaf606f2a6af856a726  ./file.SlackBuild.orig
+ef4a98a45b0505fcdad8d14203c66569  ./file.SlackBuild
+3a23f80e6586eefb7eb1af9525cf2c4e  ./file.SlackBuild.log.gz
+124612aafee1040ce8ac02244bbc654a  ./file.SlackBuild.orig
 a6e8dc289abcf6c796e2d4e8dff41b08  ./file.xz.magic.gz
 de45e4cbf64268d44dafc52db3b7a696  ./file.zisofs.magic.gz
Index: npl/overig/file/file.version
===================================================================
--- npl/overig/file/file.version	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-5.22
+5.31
Index: npl/overig/file/file_dev.arch
===================================================================
--- npl/overig/file/file_dev.arch	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file_dev.arch	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/overig/file/file_dev.build
===================================================================
--- npl/overig/file/file_dev.build	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file_dev.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-6155
+6156
Index: npl/overig/file/file_dev.version
===================================================================
--- npl/overig/file/file_dev.version	(revision 0c5671f7485f63c1370e297a06716ee8b3c0765e)
+++ npl/overig/file/file_dev.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-5.22
+5.31
